if it's an error for imx8qxp mek board

cancel
Showing results for 
Search instead for 
Did you mean: 

if it's an error for imx8qxp mek board

876 Views
Contributor I

Hello:

   I am working on imx8qxp mek, but I recently ran into a problem.

No1:

mkdir yoctofsl && cd yoctofsl
mkdir build
repo init -u https://source.codeaurora.org/external/imx/imx-manifest -b imx-linux-morty -m imx-4.9.51-8mq_beta.xml
repo sync

ln -s sources/meta-fsl-bsp-release/imx/tools/fsl-setup-release.sh fsl-setup-release.sh
ln -s sources/base/README README
ln -s sources/meta-fsl-bsp-release/imx/README README-IMXBSP
ln -s sources/base/setup-environment setup-environment

MACHINE=imx8qxpmek DISTRO=fsl-imx-fb source fsl-setup-release.sh -b imx-fb
bitbake fsl-image-qt5-validation-imx

No2:

mkdir yoctofsl && cd yoctofsl
mkdir build
repo init -u https://source.codeaurora.org/external/imx/imx-manifest -b imx-linux-morty -m imx-4.9.51-8mq_ga.xml
repo sync

ln -s sources/meta-fsl-bsp-release/imx/tools/fsl-setup-release.sh fsl-setup-release.sh
ln -s sources/base/README README
ln -s sources/meta-fsl-bsp-release/imx/README README-IMXBSP
ln -s sources/base/setup-environment setup-environment

MACHINE=imx8qxpmek DISTRO=fsl-imx-fb source fsl-setup-release.sh -b imx-fb
bitbake fsl-image-qt5-validation-imx

the No2 compile failed!

imx-gpu-viv-6.2.4.p1.0-aarch64 depends on wayland but imx-gpu-viv don't,

below:

0.PNG

1.PNG

 Why?

Labels (2)
0 Kudos
4 Replies

11 Views
Contributor I

repo init -u https://source.codeaurora.org/external/imx/imx-manifest -b imx-linux-morty -m imx-4.9.51-8qm_beta2.xml

MACHINE=imx8qxpmek DISTRO=fsl-imx-fb source fsl-setup-release.sh -b imx-fb
bitbake fsl-image-qt5-validation-imx

I do this three lines  and I can run it on my board

cp Image ~/imx8
cp imx-boot-imx8qxpmek-sd.bin-flash ~/imx8/
cp Image-fsl-imx8qxp-mek-lvds0-it6263.dtb ~/imx8/fsl-imx8qxp-mek.dtb
cp fsl-image-qt5-validation-imx-imx8qxpmek.tar.bz2 ~/imx8/rootfs.tar.bz2

but I have an another question. as the image below. The gradual change is very unsmooth!!!

微信图片_20180413100931.jpg


then i found my fbset below:

111.PNG

Why? is it relevant with color depth? and how can i change it to 32bit color depth?

0 Kudos

11 Views
NXP Employee
NXP Employee

You are using the manifest for i.MX8M EVK board.

repo init -u https://source.codeaurora.org/external/imx/imx-manifest -b imx-linux-morty -m imx-4.9.51-8mq_beta.xml

repo init -u https://source.codeaurora.org/external/imx/imx-manifest -b imx-linux-morty -m imx-4.9.51-8mq_ga.xml

0 Kudos

11 Views
NXP TechSupport
NXP TechSupport

Hi chen,

Take in mind that fsl-imx-wayland and fsl-imx-fb are not validated in this distro. try to use x11.

0 Kudos

11 Views
Contributor III

But if fsl-imx-wayland is not valid it's even more strange that gbm_viv.so depends on libwayland-server.so.0.
There is a differens between version imx-gpu-viv-6.2.4.p0.2-aarch64 and imx-gpu-viv-6.2.4.p1.0-aarch64. Where the later has a strange dependency in to libwayland-server in gbm_viv.so. Why is that?

0 Kudos